import { OutboxMessage } from './models';
export type ErrorType = 'transient_error' | 'permanent_error';
/** An error instance which holds an inner error and the processed message details */
export declare class MessageHandlingError extends Error {
    innerError: Error;
    receivedMessage: OutboxMessage;
    constructor(message: string, innerError: Error, receivedMessage: OutboxMessage);
}
/**
 * Returns the error as verified Error object or wraps the input as Error.
 * @param error The error variable to check
 * @returns The error if the input was already an error otherwise a wrapped error.
 */
export declare const ensureError: (error: unknown) => Error;
//# sourceMappingURL=error.d.ts.map