"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureError = exports.MessageHandlingError = void 0;
/** An error instance which holds an inner error and the processed message details */
class MessageHandlingError extends Error {
    constructor(message, innerError, receivedMessage) {
        super(message);
        this.innerError = innerError;
        this.receivedMessage = receivedMessage;
        this.name = this.constructor.name;
    }
}
exports.MessageHandlingError = MessageHandlingError;
/**
 * Returns the error as verified Error object or wraps the input as Error.
 * @param error The error variable to check
 * @returns The error if the input was already an error otherwise a wrapped error.
 */
const ensureError = (error) => {
    if (error instanceof Error) {
        return error;
    }
    return new Error(String(error));
};
exports.ensureError = ensureError;
//# sourceMappingURL=error.js.map